Skip to main content
GET
/
v3
/
drophunting
/
{id}
/
tasks
Drophunting Tasks
curl --request GET \
  --url https://api.cryptorank.io/v3/drophunting/{id}/tasks \
  --header 'X-Api-Key: <api-key>'
{
  "data": [
    {
      "id": 17,
      "title": "Bridge to Scroll",
      "types": [
        {
          "id": 1,
          "slug": "testnet",
          "name": "Testnet"
        }
      ],
      "startDate": "2026-05-15T12:00:00.000Z",
      "endDate": "2026-06-15T12:00:00.000Z",
      "blockchains": [
        {
          "id": 4,
          "slug": "bnb",
          "name": "BNB"
        }
      ],
      "cost": "150",
      "estimatedTimeMinutes": 45,
      "mainText": "<string>",
      "buttonUrl": "<string>"
    }
  ],
  "status": {
    "usedCredits": 1,
    "timestamp": 1780000000000
  }
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

id
number
required

Activity ID.

Example:

42

Query Parameters

status
enum<string>

Filter by task status.

Available options:
UPCOMING,
OPEN,
CLOSED
sortBy
enum<string>
default:id

Sort field. date sorts by start date, then end date.

Available options:
id,
date
sortOrder
enum<string>
default:asc

Sort direction.

Available options:
asc,
desc

Response

data
object[]
required
status
object
required